/**
 *
 * This file is part of Tulip (www.tulip-software.org)
 *
 * Authors: David Auber, Patrick Mary, Morgan Mathiaut
 * from the LaBRI Visualization Team
 * Last modification : 15/01/2010
 *
 * Tulip is free software; you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License
 * as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * Tulip is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 */
#ifndef EMBEDDERDEFS_H
#define EMBEDDERDEFS_H

struct vtx_data {
  int nedges;
  int *edges;
  float *ewgts;
};

typedef int DistType; // must be signed!!

inline double max(double x, double y) {
	if (x>=y)
		return x;
	else
		return y;
}

inline double min(double x, double y) {
	if (x<=y)
		return x;
	else
		return y;
}

inline int max(int x, int y) {
	if (x>=y)
		return x;
	else
		return y;
}

inline int min(int x, int y) {
	if (x<=y)
		return x;
	else
		return y;
}

struct Point {
	double x;
	double y;
	int operator==(Point other) { return x==other.x && y==other.y; }
};


#endif
